commit:     0dbb223c286116aab94998a65cac14d5126f892f
Author:     Jakov Smolic <jakov.smolic <AT> sartura <DOT> hr>
AuthorDate: Fri Mar 26 11:30:31 2021 +0000
Commit:     David Seifert <soap <AT> gentoo <DOT> org>
CommitDate: Fri Mar 26 11:30:31 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0dbb223c

sci-libs/alglib: Bump to 3.17.0

Closes: https://bugs.gentoo.org/774438

Signed-off-by: Jakov Smolic <jakov.smolic <AT> sartura.hr>
Signed-off-by: David Seifert <soap <AT> gentoo.org>

 sci-libs/alglib/Manifest             |  1 +
 sci-libs/alglib/alglib-3.17.0.ebuild | 30 ++++++++++++++++++++++++++++++
 2 files changed, 31 insertions(+)

diff --git a/sci-libs/alglib/Manifest b/sci-libs/alglib/Manifest
index acfb3c58921..addc7ce5785 100644
--- a/sci-libs/alglib/Manifest
+++ b/sci-libs/alglib/Manifest
@@ -1 +1,2 @@
 DIST alglib-3.10.0.cpp.gpl.tgz 1991101 BLAKE2B 
884b80becce676285b7bc1f26ed8917c4c82f53b41c0350dfc8bff6573e2e6f12183e82fc317b54a8021b1f931eb7d5b55944902d0816f7097fdc05632128bdc
 SHA512 
f02b3db5ab8dee841f27186b6693997c4e6876e75310b0a31a04593dbcb41d300920404e32e7aecb39c8dd15e54cfee05b725caa27397a67b453f6e64cd1ef5e
+DIST alglib-3.17.0.cpp.gpl.tgz 3065026 BLAKE2B 
bc939568a6bfb5e2717995e31b9d7cb485885217ff8d15c2bea3185b1ef62536766f80e02d43999c016e24b10181bddd4ad4ff27611ab19ebcc778a5cb15d55e
 SHA512 
0e4b943b03707950813aea707ae3569ce75a22216c9a4b256b646db16609995b3b63a958b0b8fbe3d7d623d5ac03efbe7c4b1589961f2ca9cdefbd7e1cc0c721

diff --git a/sci-libs/alglib/alglib-3.17.0.ebuild 
b/sci-libs/alglib/alglib-3.17.0.ebuild
new file mode 100644
index 00000000000..6f520c619d2
--- /dev/null
+++ b/sci-libs/alglib/alglib-3.17.0.ebuild
@@ -0,0 +1,30 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit cmake flag-o-matic
+
+DESCRIPTION="Numerical analysis and data processing library"
+HOMEPAGE="https://www.alglib.net/";
+SRC_URI="https://www.alglib.net/translator/re/${P}.cpp.gpl.tgz";
+S="${WORKDIR}"/cpp
+
+LICENSE="GPL-2+"
+SLOT="0/3.8"
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+src_prepare() {
+       cp "${FILESDIR}"/CMakeLists.txt-3.8.2 CMakeLists.txt || die
+       cmake_src_prepare
+}
+
+src_configure() {
+       use x86 && append-cflags -ffloat-store
+       local mycmakeargs=(
+               -DBUILD_TEST=$(usex test)
+       )
+       cmake_src_configure
+}

Reply via email to